Subject: Re: Compiling apps to Mingw32 with cygwin
From: "Robert Collins" <[email-masked]>
To: "Jon Leichter" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 11 Jan 2002 12:44:50 +1100

----- Original Message -----
From: "Jon Leichter" <[email-masked]>
> Sorry... I left that out. Yes, I do have an accessible
i686-pc-mingw32-gcc,
> and I am looking at the configure script. It just searches for gcc. It
> doesn't bother to look for the prefixed tool.

Are you sure? Here's the output of a configure script here.

Administrator@LIFELESSWKS /usr/src/squid/t
$ ../auth_rewrite/configure --host=i686-pc-linux --build=i686-pc-cygwin
checking for a BSD compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for mawk... no
checking for gawk... gawk
checking whether make sets ${MAKE}... yes
checking whether to enable maintainer-specific portions of Makefiles...
no
*****checking for i686-pc-linux-gcc... no******
checking for gcc... gcc
checking for C compiler default output...

If you don't see that line, then one or more tests are missing from your
configure.in

these two should enable that functionality.
AC_CANONICAL_HOST
AC_PROG_CC

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/